package hideandseek.commands.user;

import org.bukkit.entity.Player;
import org.bukkit.command.CommandSender;
import hideandseek.Customization;
import hideandseek.HideAndSeek;
import hideandseek.commands.SubCommand;

public class LobbyCommand extends SubCommand
{
    public LobbyCommand() {
        super((String)null, false, (String)null);
    }
    
    public boolean execute(final HideAndSeek var1, final Customization var2, final CommandSender var3, final String[] var4) {
        final Player var5 = (Player)var3;
        if (var1.game.contains(var5.getName())) {
            var5.sendMessage((String)var2.messages.get("in_game"));
            return true;
        }
        if (var1.globalLobby == null) {
            var5.sendMessage((String)var2.messages.get("no_global_lobby"));
            return true;
        }
        var5.teleport(var1.globalLobby);
        return true;
    }
}
